// JavaTalkClientGfx.java
//
// CS549 Spring 96, Oregon State University
// 
// Jean-Guy Speton, Maharajapuram Balakrishnan
//
// Simple enumeration of message types.

public class JavaTalkMessage {
  // message sent by server to all clients when shutting down
  public static final int SHUTDOWN    = 1;
  // message sent to server by client when client is disconnecting
  public static final int DISCONNECT  = 2;
  // message sent by server to each client when a new client has connected
  public static final int ADD_USER    = 3;
  // message sent by server to each client when a client has disconnected
  public static final int DEL_USER    = 4;

  public static final int TEXT        = 5;
  public static final int PRIV_TEXT   = 6;
  public static final int GFX         = 7;

  // message sent by server for each existing user, sent only to
  // new users.  Distinct from ADD_USER so we don't print join
  // messages for these.
  public static final int NEW_USER    = 8;
}
